
QGIS Application - Bug report #10506

Move the QGIS server documentation to main manual

2014-06-09 04:06 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Documentation and Help

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18916

Description

Currently the QGIS server documentation is on:

https://issues.qgis.org/projects/quantum-gis/wiki/QGIS_Server_Tutorial

It should be moved to Github, as a section of the general manual.

History

#1 - 2014-06-09 10:14 AM - Larry Shaffer

I have started including the Server manual in the Developer Guide I have been working on [0,1,2] (currently in writing hiatus until after 2.4 release). I have

not converted the Server wiki page over to rST, but am planning on it.

I think it is more appropriate in a Dev Guide, since it is more about server configuration, which IMO is a bit more than most users are prepared to do. I am

looking to add configurations for other lightweight server setups as well. For example, lighttpd/spawn-fcgi is already used for the labeling unit tests, and I

have used nginx/uwsgi in the past; both with mapproxy as well.

[0] http://drive.dakotacarto.com/qgis/dev_guide_draft/html/en/docs/developer_guide/index.html

[1] http://drive.dakotacarto.com/qgis/dev_guide_draft/html/en/docs/developer_guide/installing_server/index.html

[2] https://github.com/dakcarto/QGIS-Documentation/tree/dev_guide_1

#2 - 2016-01-18 06:22 AM - Alexander Bruy

- Status changed from Open to Feedback

As I can see, documentation already updated. Can we close this?

#3 - 2016-01-18 06:27 AM - Paolo Cavallini

If this is the case, please remove the duplicated wiki page.

Thanks for looking into this.

#4 - 2016-05-23 05:25 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Paolo Cavallini wrote:
If this is the case, please remove the duplicated wiki page.

Thanks for looking into this.

you should have the proper rights to modify/delete wiki pages in the hub.

#5 - 2016-05-23 05:27 AM - Paolo Cavallini

- Affected QGIS version changed from 2.2.0 to master

- Status changed from Closed to Reopened

- Resolution deleted (fixed/implemented)

Let's close this when done.

#6 - 2016-05-23 05:39 AM - Giovanni Manghi

Paolo Cavallini wrote:

Let's close this when done.

can you do it?

#7 - 2016-05-23 05:39 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

#8 - 2016-05-23 05:47 AM - Paolo Cavallini

I'll try during the HF.

#9 - 2016-05-23 05:50 AM - Paolo Cavallini

Better if someone familiar with the documentation process will help, or do it directly.

#10 - 2016-05-23 09:49 AM - Giovanni Manghi

- Status changed from Feedback to Open

#11 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#12 - 2017-08-21 03:35 PM - Harrissou Santanna

- Status changed from Open to Closed

- Description updated

Closing. I think there's currently enough and up to date information about QGIS Server in the user and training manuals
#13 - 2017-08-21 04:20 PM - Paolo Cavallini

Thanks a lot. Could you please check that the old info is actually deleted, to avoid leaving obsolete info around?

#14 - 2017-08-21 04:27 PM - Harrissou Santanna

Paolo, it shouldn't be available anyway given that it was on the removed (hidden?) wiki

#15 - 2017-08-21 04:29 PM - Paolo Cavallini

Hopefully ;)

Merci.
